## ctn 3.2.0~dfsg

=== Makefile ===
install:
	cd apps/apps_test;	make install
	cd runtime;		make install
	cd facilities;		make links
	cd libsrc;		make install
	cd apps;		make install

install-clean:
	cd apps/apps_test;	make install
	cd facilities;		make links
	cd libsrc;		make install-clean
	cd apps;		make install-clean

install.mb:
	cd apps/apps_test;	make install.mb
	cd facilities;		make links.mb
	cd libsrc;		make install.mb
	cd external;		make install
	cd apps;		make install.mb
	cd cgi_apps;		make install
	cd www;			make install
	cd runtime;		make install

rebuild:
	make clean
	make install

tools:
	cd apps/apps_test;	make install
	cd runtime;		make install
	cd facilities;		make links
	cd libsrc;		make install
	cd apps;		make tools

clean:
	cd libsrc;		make clean
	cd apps;		make clean
	cd cgi_apps;		make clean

clean.mb:
	cd libsrc;		make clean
	cd external;		make clean
	cd apps;		make clean
	cd cgi_apps;		make clean

=== apps/Makefile ===
# The top-level makefile for CTN/DICOM applications

# For this target (applications), the first action is make install.
RCS_VER = V2_10_2
RCS_MSG_FILE = /dicom1a/projects/dicom94/releases/release.19981022.2.10.2

headerexport:
	cd apps_include;		make headerexport

applications:
	cd apps_test;			make install
	cd apps_include;		make install
	cd clone_study;			make application
	cd create_greyscale_module;	make application
	cd ctnnetwork;			make application
	cd ctn_version;			make application
#	cd database;			make application
#	cd dbfill;			make application
	cd dcm_add_fragments;		make application
	cd dcm_create_object;		make application
	cd dcm_ctnto10;			make application
	cd dcm_diff;			make application
	cd dcm_dump_compressed;		make application
	cd dcm_dump_element;		make application
	cd dcm_dump_file;		make application
	cd dcm_make_object;		make application
	cd dcm_map_to_8;		make application
	cd dcm_mask_image;		make application
	cd dcm_modify_elements;		make application
	cd dcm_modify_object;		make application
	cd dcm_print_dictionary;	make application
	cd dcm_resize;			make application
	cd dcm_rm_element;		make application
	cd dcm_rm_group;		make application
	cd dcm_snoop;			make application
	cd dcm_strip_odd_groups;	make application
	cd dcm_template;		make application
	cd dcm_to_html;			make application
	cd dcm_to_text;			make application
	cd dcm_to_xml;			make application
	cd dcm_verify;			make application
	cd dcm_vr_patterns;		make application
	cd dicom_echo;			make application
	cd displays;			make application
	cd fillRSA;			make application
	cd fis_server;			make application
	cd gq;				make application
	cd icon;			make application
	cd image_archive;		make application
	cd image_server;		make application
	cd load_control;		make application
	cd mwlQuery;			make application
	cd pdu_examples;		make application
	cd print_clients;		make application
	cd print_server;		make application
	cd print_server_display;	make application
	cd ris_gateway;			make application
	cd scripts;			make application
	cd send_image;			make application
	cd send_results;		make application
	cd send_study;			make application
	cd simple_pacs;			make application
	cd simple_storage;		make application
	cd snp_to_files;		make application
	cd storage_classes;		make application
	cd storage_commit;		make application
	cd tbltest;			make application

gui:
	cd assoc_tool;			make application
	cd cfg_ctn_tables;		make application
	cd idb_viewer;			make application
	cd object_viewer;		make application
	cd pmgr_motif;			make application
	cd query_client;		make application
	cd rsa_ui;			make application
	cd wlma_ui;			make application

install:
	$(DICOM_ROOT)/apps/scripts/createdirectory $(DICOM_BIN)
	cd apps_test;			make install
	cd apps_include;		make install
	cd clone_study;			make install
	cd create_greyscale_module;	make install
	cd ctnnetwork;			make install
	cd ctn_version;			make install
#	cd database;			make install
#	cd dbfill;			make install
	cd dcm_add_fragments;		make install
	cd dcm_create_object;		make install
	cd dcm_ctnto10;			make install
	cd dcm_diff;			make install
	cd dcm_dump_compressed;		make install
	cd dcm_dump_element;		make install
	cd dcm_dump_file;		make install
	cd dcm_make_object;		make install
	cd dcm_map_to_8;		make install
	cd dcm_mask_image;		make install
	cd dcm_modify_elements;		make install
	cd dcm_modify_object;		make install
	cd dcm_print_dictionary;	make install
	cd dcm_resize;			make install
	cd dcm_rm_element;		make install
	cd dcm_rm_group;		make install
	cd dcm_snoop;			make install
	cd dcm_strip_odd_groups;	make install
	cd dcm_template;		make install
	cd dcm_to_html;			make install
	cd dcm_to_text;			make install
	cd dcm_verify;			make install
	cd dcm_vr_patterns;		make install
	cd dicom_echo;			make install
	cd displays;			make install
	cd fillRSA;			make install
	cd fis_server;			make install
	cd gq;				make install
	cd icon;			make install
	cd image_archive;		make install
	cd image_server;		make install
	cd load_control;		make install
	cd mwlQuery;			make install
	cd pdu_examples;		make install
	cd print_clients;		make install
	cd print_server;		make install
	cd print_server_display;	make install
	cd ris_gateway;			make install
	cd scripts;			make install
	cd send_image;			make install
	cd send_results;		make install
	cd send_study;			make install
	cd simple_pacs;			make install
	cd simple_storage;		make install
	cd snp_to_files;		make install
	cd storage_classes;		make install
	cd storage_commit;		make install
	cd tbltest;			make install

tools:
	$(DICOM_ROOT)/apps/scripts/createdirectory $(DICOM_BIN)
	cd apps_test;			make install
	cd apps_include;		make install
	cd create_greyscale_module;	make install
	cd ctn_version;			make install
	cd dcm_add_fragments;		make install
	cd dcm_create_object;		make install
	cd dcm_ctnto10;			make install
	cd dcm_diff;			make install
	cd dcm_dump_compressed;		make install
	cd dcm_dump_element;		make install
	cd dcm_dump_file;		make install
	cd dcm_make_object;		make install
	cd dcm_map_to_8;		make install
	cd dcm_mask_image;		make install
	cd dcm_modify_elements;		make install
	cd dcm_modify_object;		make install
	cd dcm_print_dictionary;	make install
	cd dcm_resize;			make install
	cd dcm_rm_element;		make install
	cd dcm_rm_group;		make install
	cd dcm_snoop;			make install
	cd dcm_strip_odd_groups;	make install
	cd dcm_template;		make install
	cd dcm_to_html;			make install
	cd dcm_to_text;			make install
	cd dcm_verify;			make install
	cd dcm_vr_patterns;		make install
	cd dicom_echo;			make install
	cd displays;			make install
	cd mwlQuery;			make install
	cd send_image;			make install
	cd simple_storage;		make install
	cd storage_classes;		make install

install-clean:
	$(DICOM_ROOT)/apps/scripts/createdirectory $(DICOM_BIN)
	cd apps_test;			make install-clean
	cd apps_include;		make install-clean
	cd clone_study;			make install-clean
	cd create_greyscale_module;	make install-clean
	cd ctnnetwork;			make install-clean
	cd ctn_version;			make install-clean
#	cd database;			make install-clean
#	cd dbfill;			make install-clean
	cd dcm_add_fragments;		make install-clean
	cd dcm_create_object;		make install-clean
	cd dcm_ctnto10;			make install-clean
	cd dcm_diff;			make install-clean
	cd dcm_dump_compressed;		make install-clean
	cd dcm_dump_element;		make install-clean
	cd dcm_dump_file;		make install-clean
	cd dcm_make_object;		make install-clean
	cd dcm_map_to_8;		make install-clean
	cd dcm_mask_image;		make install-clean
	cd dcm_modify_elements;		make install-clean
	cd dcm_modify_object;		make install-clean
	cd dcm_print_dictionary;	make install-clean
	cd dcm_resize;			make install-clean
	cd dcm_rm_element;		make install-clean
	cd dcm_rm_group;		make install-clean
	cd dcm_snoop;			make install-clean
	cd dcm_strip_odd_groups;	make install-clean
	cd dcm_template;		make install-clean
	cd dcm_to_html;			make install-clean
	cd dcm_to_text;			make install-clean
	cd dcm_vr_patterns;		make install-clean
	cd dicom_echo;			make install-clean
	cd displays;			make install-clean
	cd fillRSA;			make install-clean
	cd fis_server;			make install-clean
	cd gq;				make install-clean
	cd icon;			make install-clean
	cd image_archive;		make install-clean
	cd image_server;		make install-clean
	cd load_control;		make install-clean
	cd mwlQuery;			make install-clean
	cd pdu_examples;		make install-clean
	cd print_clients;		make install-clean
	cd print_server;		make install-clean
	cd print_server_display;	make install-clean
	cd ris_gateway;			make install-clean
	cd scripts;			make install-clean
	cd send_image;			make install-clean
	cd send_results;		make install-clean
	cd send_study;			make install-clean
	cd simple_pacs;			make install-clean
	cd simple_storage;		make install-clean
	cd snp_to_files;		make install-clean
	cd storage_classes;		make install-clean
	cd storage_commit;		make install-clean
	cd tbltest;			make install-clean

gui-install:
	cd assoc_tool;			make install
	cd cfg_ctn_tables;		make install
	cd idb_viewer;			make install
	cd object_viewer;		make install
	cd pmgr_motif;			make install
	cd query_client;		make install
	cd rsa_ui;			make install
	cd wlma_ui;			make install

install-lite:
	$(DICOM_ROOT)/apps/scripts/createdirectory $(DICOM_BIN)
	cd apps_include;		make install;	make clean
#	cd assoc_tool;			make install;	make clean
#	cd cfg_ctn_tables;		make install;	make clean
#	cd clone_study;			make install;	make clean
#	cd create_greyscale_module;	make install;	make clean
#	cd ctnnetwork;			make install;	make clean
	cd ctn_version;			make install;	make clean
	cd database;			make install;	make clean
#	cd dbfill;			make install;	make clean
	cd dcm_add_fragments;		make install;	make clean
	cd dcm_create_object;		make install;	make clean
	cd dcm_ctnto10;			make install;	make clean
	cd dcm_diff;			make install;	make clean
	cd dcm_dump_compressed;		make install;	make clean
	cd dcm_dump_element;		make install;	make clean
	cd dcm_dump_file;		make install;	make clean
	cd dcm_make_object;		make install;	make clean
	cd dcm_map_to_8;		make install;	make clean
	cd dcm_mask_image;		make install;	make clean
	cd dcm_modify_elements;		make install;	make clean
	cd dcm_modify_object;		make install;	make clean
	cd dcm_print_dictionary;	make install;	make clean
	cd dcm_resize;			make install;	make clean
	cd dcm_rm_element;		make install;	make clean
	cd dcm_rm_group;		make install;	make clean
#	cd dcm_snoop;			make install;	make clean
	cd dcm_strip_odd_groups;	make install;	make clean
#	cd dcm_template;		make install;	make clean
	cd dcm_to_html;			make install;	make clean
	cd dcm_to_text;			make install;	make clean
#	cd dcm_verify;			make install;	make clean
	cd dcm_vr_patterns;		make install;	make clean
	cd dicom_echo;			make install;	make clean
	cd displays;			make install;	make clean
#	cd fillRSA;			make install;	make clean
#	cd fis_server;			make install;	make clean
#	cd gq;				make install;	make clean
#	cd icon;			make install;	make clean
	cd idb_viewer;			make install;	make clean
	cd image_archive;		make install;	make clean
	cd image_server;		make install;	make clean
	cd load_control;		make install;	make clean
	cd mwlQuery;			make install;	make clean
#	cd object_viewer;		make install;	make clean
#	cd pdu_examples;		make install;	make clean
#	cd pmgr_motif;			make install;	make clean
#	cd print_clients;		make install;	make clean
#	cd print_server;		make install;	make clean
#	cd print_server_display;	make install;	make clean
	cd query_client;		make install;	make clean
#	cd ris_gateway;			make install;	make clean
#	cd rsa_ui;			make install;	make clean
	cd scripts;			make install;	make clean
	cd send_image;			make install;	make clean
#	cd send_results;		make install;	make clean
	cd send_study;			make install;	make clean
#	cd simple_pacs;			make install;	make clean
	cd simple_storage;		make install;	make clean
#	cd snp_to_files;		make install;	make clean
	cd storage_classes;		make install;	make clean
#	cd storage_commit;		make install;	make clean
#	cd tbltest;			make install;	make clean
#	cd wlma_ui;			make install;	make clean


tools-install:
#	$(DICOM_ROOT)/apps/scripts/createdirectory $(DICOM_BIN)
	cd apps_include;		make install
	cd cfg_ctn_tables;		make install
	cd dcm_add_fragments;		make install
	cd dcm_create_object;		make install
	cd dcm_ctnto10;			make install
	cd dcm_diff;			make install
	cd dcm_dump_compressed;		make install
	cd dcm_dump_element;		make install
	cd dcm_dump_file;		make install
	cd dcm_make_object;		make install
	cd dcm_map_to_8;		make install
	cd dcm_mask_image;		make install
	cd dcm_modify_elements;		make install
	cd dcm_modify_object;		make install
	cd dcm_print_dictionary;	make install
	cd dcm_resize;			make install
	cd dcm_rm_element;		make install
	cd dcm_rm_group;		make install
	cd dcm_snoop;			make install
	cd dcm_strip_odd_groups;	make install
	cd dcm_template;		make install
	cd dcm_to_html;			make install
	cd dcm_to_text;			make install
	cd dcm_verify;			make install
	cd dcm_vr_patterns;		make install

=== cgi_apps/Makefile ===
install:
	cd archive_cgi;		make install
	cd dd_lookup;		make install
	cd fileview;		make install

clean:
	cd archive_cgi;		make clean
	cd dd_lookup;		make clean
	cd fileview;		make clean

=== external/Makefile ===
install:
	cd cgihtml-1.69;	make

clean:
	cd cgihtml-1.69;	make clean

=== facilities/Makefile ===
#  Makefile to make all facilities
#
#  At this level, type 'make install'.  Everything gets
#  rebuilt from scratch.

RCS_VER = V2_10_2
RCS_MSG_FILE = /dicom1a/projects/dicom94/releases/release.19981022.2.10.2

install:
	echo "This is no longer the preferred installation method."
	echo "Please refer to installation notes."
#	$(DICOM_ROOT)/apps/scripts/createdirectory $(DICOM_LIB)
#	cd dicom		; make install
#	cd thread		; make install
#	cd lst			; make install
#	cd condition		; make install
#	cd chr			; make install
#	cd utility		; make install
#	cd hunks		; make install
#	cd database		; make install
#	cd his			; make install
#	cd cfg			; make install
#	cd uid			; make install
#	cd snp			; make install
#	cd dulprotocol		; make install
#	cd gq			; make install
#	cd objects		; make install
#	cd sq			; make install
#	cd info_entity		; make install
#	cd messages		; make install
#	cd services		; make install
#	cd hap			; make install
#	cd iap			; make install
#	cd print		; make install
#	cd icon			; make install
#	cd tbl			; make install
#	cd tblmb		; make install
#	cd manage		; make install
#	cd fis			; make install
#	cd idb			; make install
#	cd idbmb		; make install
#	cd icpy			; make install
#	cd iman			; make install
#	cd motif_utl		; make install
#	cd ddr			; make install
#	cd irs			; make install
#	cd xutl			; make install

export:
	$(DICOM_ROOT)/apps/scripts/createdirectory $(DICOM_LIBSRC)
	cd cfg			; make export
	cd chr			; make export
	cd condition		; make export
	cd database		; make export
	cd ddr			; make export
	cd dicom		; make export
	cd snp			; make export
	cd dulprotocol		; make export
	cd gq			; make export
	cd hap			; make export
	cd fis			; make export
	cd his			; make export
	cd hunks		; make export
	cd iap			; make export
	cd icpy			; make export
	cd idb			; make export
	cd idbmb		; make export
	cd icon			; make export
	cd iman			; make export
	cd info_entity		; make export
	cd irs			; make export
	cd lst			; make export
	cd manage		; make export
	cd messages		; make export
	cd motif_utl		; make export
	cd objects		; make export
	cd print		; make export
	cd services		; make export
	cd sq			; make export
	cd tbl			; make export
	cd tblmb		; make export
	cd thread		; make export
	cd uid			; make export
	cd utility		; make export
	cd xutl			; make export

headerexport:
	$(DICOM_ROOT)/apps/scripts/createdirectory $(DICOM_LIBSRC)
	cd cfg			; make headerexport
	cd chr			; make headerexport
	cd condition		; make headerexport
	cd database		; make headerexport
	cd ddr			; make headerexport
	cd dicom		; make headerexport
	cd snp			; make headerexport
	cd dulprotocol		; make headerexport
	cd gq			; make headerexport
	cd hap			; make headerexport
	cd fis			; make headerexport
	cd his			; make headerexport
	cd hunks		; make headerexport
	cd iap			; make headerexport
	cd icpy			; make headerexport
	cd idb			; make headerexport
	cd idbmb		; make headerexport
	cd icon			; make headerexport
	cd iman			; make headerexport
	cd info_entity		; make headerexport
	cd irs			; make headerexport
	cd lst			; make headerexport
	cd manage		; make headerexport
	cd messages		; make headerexport
	cd motif_utl		; make headerexport
	cd objects		; make headerexport
	cd print		; make headerexport
	cd services		; make headerexport
	cd sq			; make headerexport
	cd tbl			; make headerexport
	cd tblmb		; make headerexport
	cd thread		; make headerexport
	cd uid			; make headerexport
	cd utility		; make headerexport
	cd xutl			; make headerexport

links:
	$(DICOM_ROOT)/apps/scripts/checkEnvironment DICOM_LIBSRC $(DICOM_LIBSRC)
	$(DICOM_ROOT)/apps/scripts/createdirectory $(DICOM_LIBSRC)
	cd cfg			; make links
	cd chr			; make links
	cd condition		; make links
	cd database		; make links
	cd ddr			; make links
	cd dicom		; make links
	cd snp			; make links
	cd dulprotocol		; make links
	cd gq			; make links
	cd hap			; make links
	cd fis			; make links
	cd his			; make links
	cd hunks		; make links
	cd iap			; make links
	cd icpy			; make links
	cd idb			; make links
	cd idbmb		; make links
	cd icon			; make links
	cd iman			; make links
	cd info_entity		; make links
	cd irs			; make links
	cd lst			; make links
	cd manage		; make links
	cd messages		; make links
	cd motif_utl		; make links
	cd objects		; make links
	cd print		; make links
	cd services		; make links
	cd sq			; make links
	cd tbl			; make links
	cd tblmb		; make links
	cd thread		; make links
	cd uid			; make links
	cd utility		; make links
	cd xutl			; make links

links.mb:
	$(DICOM_ROOT)/apps/scripts/checkEnvironment DICOM_LIBSRC $(DICOM_LIBSRC)
	$(DICOM_ROOT)/apps/scripts/createdirectory $(DICOM_LIBSRC)
	cd cfg			; make links
	cd chr			; make links
	cd condition		; make links
	cd database		; make links
	cd ddr			; make links
	cd dicom		; make links
	cd snp			; make links
	cd dulprotocol		; make links
	cd gq			; make links
	cd hap			; make links
	cd fis			; make links
	cd his			; make links
	cd hunks		; make links
	cd iap			; make links
	cd icpy			; make links
	cd idb			; make links
	cd idbmb		; make links
	cd icon			; make links
	cd iman			; make links
	cd info_entity		; make links
	cd irs			; make links
	cd lst			; make links
	cd manage		; make links
	cd messages		; make links
	cd motif_utl		; make links
	cd objects		; make links
	cd print		; make links
	cd services		; make links
	cd sq			; make links
	cd tbl			; make links
	cd tblmb		; make links
	cd thread		; make links
	cd uid			; make links
	cd utility		; make links
	cd xutl			; make links.mb

clean:
	cd cfg			; make clean
	cd chr			; make clean
	cd condition		; make clean
	cd database		; make clean
	cd ddr			; make clean
	cd dicom		; make clean
	cd snp			; make clean
	cd dulprotocol		; make clean
	cd gq			; make clean
	cd hap			; make clean
	cd fis			; make clean
	cd his			; make clean
	cd hunks		; make clean
	cd iap			; make clean
	cd icpy			; make clean
	cd idb			; make clean
	cd idbmb		; make clean
	cd icon			; make clean
	cd iman			; make clean
	cd info_entity		; make clean
	cd irs			; make clean
	cd lst			; make clean
	cd manage		; make clean
	cd messages		; make clean
	cd motif_utl		; make clean
	cd objects		; make clean
	cd print		; make clean
	cd services		; make clean
	cd sq			; make clean
	cd tbl			; make clean
	cd tblmb		; make clean
	cd thread		; make clean
	cd uid			; make clean
	cd utility		; make clean
	cd xutl			; make clean

checkout:
	cd cfg			; make checkout
	cd chr			; make checkout
	cd condition		; make checkout
	cd database		; make checkout
	cd ddr			; make checkout
	cd dicom		; make checkout
	cd snp			; make checkout
	cd dulprotocol		; make checkout
	cd gq			; make checkout
	cd hap			; make checkout
	cd fis			; make checkout
	cd his			; make checkout
	cd hunks		; make checkout
	cd iap			; make checkout
	cd icpy			; make checkout
	cd idb			; make checkout
	cd idbmb		; make checkout
	cd icon			; make checkout
	cd iman			; make checkout
	cd info_entity		; make checkout
	cd irs			; make checkout
	cd lst			; make checkout
	cd manage		; make checkout
	cd messages		; make checkout
	cd motif_utl		; make checkout
	cd objects		; make checkout
	cd print		; make checkout
	cd services		; make checkout
	cd sq			; make checkout
	cd tbl			; make checkout
	cd tblmb		; make checkout
	cd thread		; make checkout
	cd uid			; make checkout
	cd utility		; make checkout
	cd xutl			; make checkout

checkin:
	cd cfg			; make checkin
	cd chr			; make checkin
	cd condition		; make checkin
	cd database		; make checkin
	cd ddr			; make checkin
	cd dicom		; make checkin
	cd snp			; make checkin
	cd dulprotocol		; make checkin
	cd gq			; make checkin
	cd hap			; make checkin
	cd fis			; make checkin
	cd his			; make checkin
	cd hunks		; make checkin
	cd iap			; make checkin
	cd icpy			; make checkin
	cd idb			; make checkin
	cd idbmb		; make checkin
	cd icon			; make checkin
	cd iman			; make checkin
	cd info_entity		; make checkin
	cd irs			; make checkin
	cd lst			; make checkin
	cd manage		; make checkin
	cd messages		; make checkin
	cd motif_utl		; make checkin
	cd objects		; make checkin
	cd print		; make checkin
	cd services		; make checkin
	cd sq			; make checkin
	cd tbl			; make checkin
	cd tblmb		; make checkin
	cd thread		; make checkin
	cd uid			; make checkin
	cd utility		; make checkin
	cd xutl			; make checkin

indent:
	cd cfg			; make indent
	cd chr			; make indent
	cd condition		; make indent
	cd database		; make indent
	cd ddr 			; make indent
	cd dicom		; make indent
	cd snp 			; make indent
	cd dulprotocol		; make indent
	cd gq			; make indent
	cd hap			; make indent
	cd fis			; make indent
	cd his			; make indent
	cd hunks		; make indent
	cd iap			; make indent
	cd icpy			; make indent
	cd idb			; make indent
	cd idbmb		; make indent
	cd icon			; make indent
	cd iman			; make indent
	cd info_entity		; make indent
	cd irs			; make indent
	cd lst			; make indent
	cd manage		; make indent
	cd messages		; make indent
	cd motif_utl		; make indent
	cd objects		; make indent
	cd print		; make indent
	cd services		; make indent
	cd sq			; make indent
	cd tbl			; make indent
	cd tblmb		; make indent
	cd thread		; make indent
	cd uid			; make indent
	cd utility		; make indent
	cd xutl			; make indent

lint:
	cd cfg			; make lint
	cd chr			; make lint
	cd condition		; make lint
	cd database		; make lint
	cd ddr			; make lint
	cd dicom		; make lint
	cd snp			; make lint
	cd dulprotocol		; make lint
	cd gq			; make lint
	cd hap			; make lint
	cd fis			; make lint
	cd his			; make lint
	cd hunks		; make lint
	cd iap			; make lint
	cd icpy			; make lint
	cd idb			; make lint
	cd idbmb		; make lint
	cd icon			; make lint
	cd iman			; make lint
	cd info_entity		; make lint
	cd irs			; make lint
	cd lst			; make lint
	cd manage		; make lint
	cd messages		; make lint
	cd motif_utl		; make lint
	cd objects		; make lint
	cd print		; make lint
	cd services		; make lint
	cd sq			; make lint
	cd tbl			; make lint
	cd tblmb		; make lint
	cd thread		; make lint
	cd uid			; make lint
	cd utility		; make lint

freeze:
	cd cfg			; rcsfreeze $(RCS_VER) < $(RCS_MSG_FILE)
	cd chr			; rcsfreeze $(RCS_VER) < $(RCS_MSG_FILE)
	cd condition		; rcsfreeze $(RCS_VER) < $(RCS_MSG_FILE)
	cd database		; rcsfreeze $(RCS_VER) < $(RCS_MSG_FILE)
	cd ddr			; rcsfreeze $(RCS_VER) < $(RCS_MSG_FILE)
	cd dicom		; rcsfreeze $(RCS_VER) < $(RCS_MSG_FILE)
	cd snp			; rcsfreeze $(RCS_VER) < $(RCS_MSG_FILE)
	cd dulprotocol		; rcsfreeze $(RCS_VER) < $(RCS_MSG_FILE)
	cd gq			; rcsfreeze $(RCS_VER) < $(RCS_MSG_FILE)
	cd hap			; rcsfreeze $(RCS_VER) < $(RCS_MSG_FILE)
	cd fis			; rcsfreeze $(RCS_VER) < $(RCS_MSG_FILE)
	cd his			; rcsfreeze $(RCS_VER) < $(RCS_MSG_FILE)
	cd hunks		; rcsfreeze $(RCS_VER) < $(RCS_MSG_FILE)
	cd iap			; rcsfreeze $(RCS_VER) < $(RCS_MSG_FILE)
	cd icpy			; rcsfreeze $(RCS_VER) < $(RCS_MSG_FILE)
	cd idb			; rcsfreeze $(RCS_VER) < $(RCS_MSG_FILE)
	cd idbmb		; rcsfreeze $(RCS_VER) < $(RCS_MSG_FILE)
	cd icon			; rcsfreeze $(RCS_VER) < $(RCS_MSG_FILE)
	cd iman			; rcsfreeze $(RCS_VER) < $(RCS_MSG_FILE)
	cd info_entity		; rcsfreeze $(RCS_VER) < $(RCS_MSG_FILE)
	cd irs			; rcsfreeze $(RCS_VER) < $(RCS_MSG_FILE)
	cd lst			; rcsfreeze $(RCS_VER) < $(RCS_MSG_FILE)
	cd manage		; rcsfreeze $(RCS_VER) < $(RCS_MSG_FILE)
	cd messages		; rcsfreeze $(RCS_VER) < $(RCS_MSG_FILE)
	cd motif_utl		; rcsfreeze $(RCS_VER) < $(RCS_MSG_FILE)
	cd objects		; rcsfreeze $(RCS_VER) < $(RCS_MSG_FILE)
	cd print		; rcsfreeze $(RCS_VER) < $(RCS_MSG_FILE)
	cd services		; rcsfreeze $(RCS_VER) < $(RCS_MSG_FILE)
	cd sq			; rcsfreeze $(RCS_VER) < $(RCS_MSG_FILE)
	cd tbl			; rcsfreeze $(RCS_VER) < $(RCS_MSG_FILE)
	cd tblmb		; rcsfreeze $(RCS_VER) < $(RCS_MSG_FILE)
	cd thread		; rcsfreeze $(RCS_VER) < $(RCS_MSG_FILE)
	cd uid			; rcsfreeze $(RCS_VER) < $(RCS_MSG_FILE)
	cd utility		; rcsfreeze $(RCS_VER) < $(RCS_MSG_FILE)
	cd xutl			; rcsfreeze $(RCS_VER) < $(RCS_MSG_FILE)

stripmb:
	chmod +w chr/*.[ch];	rm -f chr/*.[ch]
	chmod +w idbmb/*.[ch];	rm -f idbmb/*.[ch]
	chmod +w tblmb/*.[ch];	rm -f tblmb/*.[ch]

=== javactn/Makefile ===
include $(DICOM_MAKE)
CFLAGS = $(C_OPTS)


all:	java_classes jni_code

install:	jar jni_code
	$(INSTALL) javactn.jar $(JAR_DIRECTORY)
	$(INSTALL) jni_src/libjavactn.so $(JAR_DIRECTORY)

java_classes:
	cd DICOM; make all

jni_code:
	cd jni_src; make install

install:	jni_code

clean:
	cd DICOM; make clean
	cd jni_src; make clean

install_jar:	jar
	$(INSTALL) javactn.jar $(JAR_DIRECTORY)

jar:	java_classes
	$(JDK_ROOT)/bin/jar -c0vf javactn.jar DICOM/*class DICOM/*/*class 

fastjar:
	$(JDK_ROOT)/bin/jar -c0vf javactn.jar DICOM/*class DICOM/*/*class

=== libsrc/Makefile ===
# Makefile to make a static library for CTN software

include $(DICOM_MAKE)
VPATH = ../../include
CFLAGS = $(C_OPTS) -I$(DICOM_INCLUDE)

BASE_OBJS = \
 build.o cfg.o cmd_valid.o condition.o control.o ctnthread.o database.o \
 dcm.o dcm1.o dcmcond.o dcmdict.o dcmsupport.o ddr.o decode.o \
 delete.o  \
 dlroutines.o dulcond.o dulconstruct.o dulfsm.o dulparse.o \
 dulpresent.o dulprotocol.o dulsnoop.o dump.o event.o find.o fis.o fiscond.o \
 fisdelete.o fisget.o fisinsert.o get.o gq.o hapbuildinterp.o \
 hapbuildpatient.o hapbuildresults.o hapbuildstudy.o hapbuildvisit.o hapcond.o \
 hisdb.o hunk_man.o iap.o iapcond.o icon.o iconcond.o \
 ie.o iecond.o insert.o irs.o irscond.o lst.o lstcond.o \
 mancond.o messages.o motifutil.o move.o msgcond.o naction.o ncreate.o \
 ndelete.o neventreport.o nget.o nset.o print.o printcond.o private.o \
 record.o ref_item.o select.o send.o sequences.o set.o \
 snp.o snpcond.o sqcond.o srv1.o srv2.o srvcond.o storage.o \
 thrcond.o uid.o uidcond.o \
 update.o utility.o verify.o xutl.o

# TBL_DB and TBLM_DB are defined in $DICOM_MAKE
OBJS = $(BASE_OBJS) $(TBL_DB) tblcond.o idb.o idbcond.o
OBJS_MBCTN = $(BASE_OBJS) dicom_chr.o $(TBLMB_DB) tblmbcond.o idbmb.o idbmbcond.o xutl_mb.o

BASE_HEADER_FILES = cfg.h condition.h ctn_os.h ctnthread.h dbquery.h decode.h dicom.h \
dicom_ddr.h dicom_ie.h dicom_irs.h dicom_messages.h \
dicom_objects.h dicom_platform.h dicom_print.h dicom_services.h \
dicom_sq.h dicom_uids.h dulfsm.h dulprotocol.h dulsnoop.h \
dulstructures.h fis.h gq.h hap.h hisdb.h hunk_man.h iap.h \
icon.h idb.h lst.h manage.h mut.h snp.h tables.h tbl.h \
tbl_msql.h tbl_psql.h tbl_sqlserver.h tbl_sybase.h tbl_ufs.h \
utility.h xutl.h

HEADER_FILES = $(BASE_HEADER_FILES) tbl.h tbl_msql.h tbl_psql.h tbl_sqlserver.h\
tbl_sybase.h tbl_ufs.h

HEADER_FILES_MBCTN = $(BASE_HEADER_FILES) dicom_chr.h idbmb.h tblmb.h tblmb_psql.h

libctn.a: $(OBJS)
#	cc $(CFLAGS) -G -o libctn.so $(OBJS)
	ar cvr libctn.a $(OBJS)

libctnmb.a: $(OBJS_MBCTN)
	ar cvr libctnmb.a $(OBJS_MBCTN)

libctn.so: $(OBJS)
	$(CC) $(CFLAGS) -G -o libctn.so $(OBJS)

shared:	libctn.so
	cp libctn.so /usr/local/lib

windows-export:
	cp *.c *.h ../libwindows
	cp ctnlib.mak ../libwindows

install: libctn.a
	../apps/scripts/createdirectory $(DICOM_LIB)
	cp libctn.a $(DICOM_LIB)
	$(INSTALLINCLUDE) $(HEADER_FILES) $(DICOM_INCLUDE)

install-clean: install
	make clean

install.mb: libctnmb.a
	../apps/scripts/createdirectory $(DICOM_LIB)
	cp libctnmb.a $(DICOM_LIB)
	$(INSTALLINCLUDE) $(HEADER_FILES_MBCTN) $(DICOM_INCLUDE)

clean:
	rm -f *.a *.o

=== runtime/Makefile ===
install:
	chmod +x setup.csh
	./setup.csh $(CTN_TARGET)

	cp fontmap $(CTN_TARGET)/runtime
	cp queuemap $(CTN_TARGET)/runtime
	cp ctn_cfg.txt $(CTN_TARGET)/runtime

=== apps/apps_include/Makefile ===
#	Makefile for DICOM facility (only defines an include file)

include $(DICOM_MAKE)
VPATH = ../../include
CFLAGS = $(C_OPTS) -I$(DICOM_INCLUDE)

library:
install:
	$(INSTALLINCLUDE) print_queue.h $(DICOM_INCLUDE)
	$(INSTALLINCLUDE) iqueues.h $(DICOM_INCLUDE)
	$(INSTALLINCLUDE) UxXt.h $(DICOM_INCLUDE)

install-clean:	install

headerexport: install

clean:
	rm -f *.a *.o *.BAK *.bak *% core

indent:
	$(INDENT) print_queue.h
	$(INDENT) iqueues.h
	$(INDENT) UxXt.h
checkin:
	$(INDENT) print_queue.h;     $(CI) print_queue.h
	$(INDENT) iqueues.h;     $(CI) iqueues.h
	$(INDENT) UxXt.h;     $(CI) UxXt.h
	rm -f *.a *.o *.BAK *.bak *% core

checkout:
	$(CO) print_queue.h
	$(CO) iqueues.h
	$(CO) UxXt.h

lint:

=== apps/apps_test/Makefile ===
#	Makefile for image_archive

application:	
	chmod +x test_baseline
	./test_baseline

install:
	chmod +x test_baseline
	./test_baseline

install-clean:	install

install.mb:
	chmod +x test_mb
	./test_mb

clean:

indent:

checkin:

checkout:

=== apps/assoc_tool/Makefile ===
# Makefile for assoc_tool 
# This makefile is used to build a Motif application, assoc_tool.  It uses
# flags set in a global makefile (DICOM_MAKE)


include $(DICOM_MAKE)
NAME = assoc_tool
OBJS = $(NAME).o topLevelShell1.o UxXt.o UxMethod.o load_sopClasses.o netWork.o
CFLAGS = $(C_OPTS) $(CFLAGS_X11) $(CFLAGS_MOTIF) -DXT_CODE -Dsun4 -I.

LIBPATH         = $(LIBPATH_MOTIF) $(LIBPATH_X11) -L$(DICOM_LIB) $(LIBPATH_UCB) $(LIBPATH_DATABASE)
LIBS            = $(LIBS_CTN) $(LIBS_MOTIF) $(LIBS_X11) $(LIBS_OS) 

application:	$(NAME)

$(NAME): $(OBJS)
	$(CC) -o $(NAME) -g $(OBJS) $(LIBPATH) $(LIBS)
	@echo "Done"

install:	$(NAME)
	$(INSTALL) $(NAME) $(DICOM_BIN)

install-clean:	install
	make clean

clean:
	rm -f $(NAME) *.o *BAK *% *bak *% core

indent:
	chmod u+w *h
	$(INDENT) SaAddLogin.h
	$(INDENT) SaConsoleCalls.h
	$(INDENT) SaPopCalls.h
	$(INDENT) Sut.h
	$(INDENT) SutList.h
	$(INDENT) SutProto.h
	$(INDENT) UxMethod.c
	$(INDENT) UxXt.c
	$(INDENT) WorkingDialog.h
	$(INDENT) netWork.c
	$(INDENT) topLevelShell1.c
	$(INDENT) topLevelShell1.h
	$(INDENT) assoc_tool.c
	$(INDENT) load_sopClasses.c
	$(INDENT) format.h
	$(INDENT) prototypes.h
	$(INDENT) structures.h
checkin:
	chmod u+w *h
	$(INDENT) SaAddLogin.h;		$(CI) SaAddLogin.h
	$(INDENT) SaConsoleCalls.h;	$(CI) SaConsoleCalls.h
	$(INDENT) SaPopCalls.h;		$(CI) SaPopCalls.h
	$(INDENT) Sut.h;		$(CI) Sut.h
	$(INDENT) SutList.h;		$(CI) SutList.h
	$(INDENT) SutProto.h;		$(CI) SutProto.h
	$(INDENT) UxMethod.c;		$(CI) UxMethod.c
	$(INDENT) UxXt.c;		$(CI) UxXt.c
	$(INDENT) WorkingDialog.h;	$(CI) WorkingDialog.h
	$(INDENT) netWork.c;		$(CI) netWork.c
	$(INDENT) topLevelShell1.c;	$(CI) topLevelShell1.c
	$(INDENT) topLevelShell1.h;	$(CI) topLevelShell1.h
	$(INDENT) load_sopClasses.c;	$(CI) load_sopClasses.c
	$(INDENT) format.h;		$(CI) format.h
	$(INDENT) prototypes.h;		$(CI) prototypes.h
	$(INDENT) structures.h;		$(CI) structures.h
	$(INDENT) assoc_tool.c;		$(CI) assoc_tool.c
					$(CI) assoc_tool.op
					$(CI) assoc_tool.prj
					$(CI) sopclasslist.h
					$(CI) topLevelShell1.i


	rm -f $(NAME) *.o *bak *BAK *% core


checkout:
	$(CO) SaAddLogin.h
	$(CO) SaConsoleCalls.h
	$(CO) SaPopCalls.h
	$(CO) Sut.h
	$(CO) SutList.h
	$(CO) SutProto.h
	$(CO) UxMethod.c
	$(CO) UxXt.c
	$(CO) WorkingDialog.h
	$(CO) netWork.c
	$(CO) topLevelShell1.c
	$(CO) topLevelShell1.h
	$(CO) load_sopClasses.c
	$(CO) format.h
	$(CO) prototypes.h
	$(CO) structures.h
	$(CO) assoc_tool.c
	$(CO) assoc_tool.op
	$(CO) assoc_tool.prj
	$(CO) sopclasslist.h
	$(CO) topLevelShell1.i

lint:
#	flexelint $(LINTOPTIONS) netWork.c load_sopClasses.c

=== apps/cfg_ctn_tables/Makefile ===
# Makefile for cfg_ctn_tables
# This makefile is used to build a Motif application, cfg_ctn_tables.  It uses
# flags set in a global makefile (DICOM_MAKE)


include $(DICOM_MAKE)
NAME = cfg_ctn_tables
OBJS = $(NAME).o applicationShell1.o format.o support.o UxXt.o UxMethod.o \
applicationForm.o securityForm.o printServerCFGForm.o FISAccessForm.o \
imageStorageAccessForm.o imageStorageControlForm.o \
groupNamesForm.o videoImageForm.o

CFLAGS = $(C_OPTS) $(CFLAGS_X11) $(CFLAGS_MOTIF) -DXT_CODE -DRUNTIME -I.
LFLAGS =

LIBPATH         = $(LIBPATH_MOTIF) $(LIBPATH_X11) -L$(DICOM_LIB) $(LIBPATH_UCB) $(LIBPATH_DATABASE)
LIBS            = $(LIBS_CTN) $(LIBS_MOTIF) $(LIBS_X11) $(LIBS_CTN) $(LIBS_OS)

application:	cfg_ctn_tables

$(NAME): $(OBJS)
	$(CC) -o $(NAME) -g $(OBJS) $(LFLAGS) $(LIBPATH) $(LIBS) -lm

install:	$(NAME)
	$(INSTALL) $(NAME) $(DICOM_BIN)

install-clean:	install
	make clean

clean:
	rm -f $(NAME) *.o *BAK *.bak *% core

indent:
	chmod u+w *h
	$(INDENT) FISAccessForm.c
	$(INDENT) FISAccessForm.h
	$(INDENT) SaAddLogin.h
	$(INDENT) SaConsoleCalls.h
	$(INDENT) SaPopCalls.h
	$(INDENT) Sut.h
	$(INDENT) SutList.h
	$(INDENT) SutProto.h
	$(INDENT) UxMethod.c
	$(INDENT) UxXt.c
	$(INDENT) WorkingDialog.h
	$(INDENT) applicationForm.c
	$(INDENT) applicationForm.h
	$(INDENT) applicationShell1.c
	$(INDENT) applicationShell1.h
	$(INDENT) cfg_ctn_tables.c
	$(INDENT) format.c
	$(INDENT) format.h
	$(INDENT) groupNamesForm.c
	$(INDENT) groupNamesForm.h
	$(INDENT) imageStorageAccessForm.c
	$(INDENT) imageStorageAccessForm.h
	$(INDENT) imageStorageControlForm.c
	$(INDENT) imageStorageControlForm.h
	$(INDENT) printServerCFGForm.c
	$(INDENT) printServerCFGForm.h
	$(INDENT) securityForm.c
	$(INDENT) securityForm.h
	$(INDENT) support.c
	$(INDENT) support.h
	$(INDENT) videoImageForm.c
	$(INDENT) videoImageForm.h

checkin:
	chmod u+w *h
	$(INDENT) FISAccessForm.c;		$(CI) FISAccessForm.c
	$(INDENT) FISAccessForm.h;		$(CI) FISAccessForm.h
						$(CI) FISAccessForm.i
	$(INDENT) SaAddLogin.h;			$(CI) SaAddLogin.h
	$(INDENT) SaConsoleCalls.h;		$(CI) SaConsoleCalls.h
	$(INDENT) SaPopCalls.h;			$(CI) SaPopCalls.h
	$(INDENT) Sut.h;			$(CI) Sut.h
	$(INDENT) SutList.h;			$(CI) SutList.h
	$(INDENT) SutProto.h;			$(CI) SutProto.h
	$(INDENT) UxMethod.c;			$(CI) UxMethod.c
	$(INDENT) UxXt.c;			$(CI) UxXt.c
	$(INDENT) WorkingDialog.h;		$(CI) WorkingDialog.h
	$(INDENT) applicationForm.c;		$(CI) applicationForm.c
	$(INDENT) applicationForm.h;		$(CI) applicationForm.h
						$(CI) applicationForm.i
	$(INDENT) applicationShell1.c;		$(CI) applicationShell1.c
	$(INDENT) applicationShell1.h;		$(CI) applicationShell1.h
						$(CI) applicationShell1.i
	$(INDENT) cfg_ctn_tables.c;		$(CI) cfg_ctn_tables.c
						$(CI) cfg_ctn_tables.op
						$(CI) cfg_ctn_tables.prj
	$(INDENT) format.c;			$(CI) format.c
	$(INDENT) format.h;			$(CI) format.h
	$(INDENT) groupNamesForm.c;		$(CI) groupNamesForm.c
	$(INDENT) groupNamesForm.h;		$(CI) groupNamesForm.h
						$(CI) groupNamesForm.i
	$(INDENT) imageStorageAccessForm.c;	$(CI) imageStorageAccessForm.c
	$(INDENT) imageStorageAccessForm.h;	$(CI) imageStorageAccessForm.h
						$(CI) imageStorageAccessForm.i
	$(INDENT) imageStorageControlForm.c;	$(CI) imageStorageControlForm.c
	$(INDENT) imageStorageControlForm.h;	$(CI) imageStorageControlForm.h
						$(CI) imageStorageControlForm.i
	$(INDENT) printServerCFGForm.c;		$(CI) printServerCFGForm.c
	$(INDENT) printServerCFGForm.h;		$(CI) printServerCFGForm.h
						$(CI) printServerCFGForm.i
	$(INDENT) securityForm.c;		$(CI) securityForm.c
	$(INDENT) securityForm.h;		$(CI) securityForm.h
						$(CI) securityForm.i
	$(INDENT) support.c;			$(CI) support.c
	$(INDENT) support.h;			$(CI) support.h
	$(INDENT) videoImageForm.c;		$(CI) videoImageForm.c
	$(INDENT) videoImageForm.h;		$(CI) videoImageForm.h
						$(CI) videoImageForm.i
	rm -f $(NAME) *.o *BAK *.bak *% core

checkout:
	$(CO) FISAccessForm.c
	$(CO) FISAccessForm.h
	$(CO) FISAccessForm.i
	$(CO) SaAddLogin.h
	$(CO) SaConsoleCalls.h
	$(CO) SaPopCalls.h
	$(CO) Sut.h
	$(CO) SutList.h
	$(CO) SutProto.h
	$(CO) UxMethod.c
	$(CO) UxXt.c
	$(CO) WorkingDialog.h
	$(CO) applicationForm.c
	$(CO) applicationForm.h
	$(CO) applicationForm.i
	$(CO) applicationShell1.c
	$(CO) applicationShell1.h
	$(CO) applicationShell1.i
	$(CO) cfg_ctn_tables.c
	$(CO) cfg_ctn_tables.op
	$(CO) cfg_ctn_tables.prj
	$(CO) format.c
	$(CO) format.h
	$(CO) groupNamesForm.c
	$(CO) groupNamesForm.h
	$(CO) groupNamesForm.i
	$(CO) imageStorageAccessForm.c
	$(CO) imageStorageAccessForm.h
	$(CO) imageStorageAccessForm.i
	$(CO) imageStorageControlForm.c
	$(CO) imageStorageControlForm.h
	$(CO) imageStorageControlForm.i
	$(CO) printServerCFGForm.c
	$(CO) printServerCFGForm.h
	$(CO) printServerCFGForm.i
	$(CO) securityForm.c
	$(CO) securityForm.h
	$(CO) securityForm.i
	$(CO) support.c
	$(CO) support.h
	$(CO) videoImageForm.c
	$(CO) videoImageForm.h
	$(CO) videoImageForm.i
lint:
	flexelint $(LINTOPTIONS) format.c support.c

=== debian/changelog ===
ctn (3.2.0~dfsg-9) unstable; urgency=medium

  * Team upload.
  * Set C standard to gnu99 (Closes: #1096489)

 -- Nilesh Patra <nilesh@debian.org>  Sat, 20 Sep 2025 04:23:39 +0530

ctn (3.2.0~dfsg-8) unstable; urgency=medium

  * Team upload.
  * d/test-endian.c: fix ARCHITECTURE detection with gcc 14.
  * d/rules: ignore newly enforced checks with gcc 14.
    Despite the relative simplicity of fixes for this gcc releast, the ctn
    code base is so large and ancient that the resulting patch for proper
    corrections of build errors is barely manageable.  For this particular
    case, reducing the severity of errors seemed more appropriate, and
    also prudent if considering risks of introducing bugs with the patch.
    (Closes: #1074893)
  * d/control: declare compliance to standards version 4.7.0.

 -- Étienne Mollier <emollier@debian.org>  Tue, 23 Jul 2024 22:49:55 +0200

ctn (3.2.0~dfsg-7.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix FTBFS with -Werror=implicit-function-declaration (Closes: #1066718).

 -- Andrey Rakhmatullin <wrar@debian.org>  Wed, 27 Mar 2024 23:50:34 +0500

ctn (3.2.0~dfsg-7) unstable; urgency=medium

  [ Jelmer Vernooĳ ]
  * Use secure copyright file specification URI.
  * Trim trailing whitespace.

  [ Andreas Tille ]
  * Standards-Version: 4.5.0 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * Trim trailing whitespace.
  * Set upstream metadata fields: Archive, Repository.
  * Install config files from debian/tmp location

 -- Andreas Tille <tille@debian.org>  Mon, 16 Nov 2020 13:45:24 +0100

ctn (3.2.0~dfsg-6) unstable; urgency=medium

  * debhelper 11
  * Point Vcs fields to salsa.debian.org
  * Standards-Version: 4.1.5
  * Drop unneeded get-orig-source target

 -- Andreas Tille <tille@debian.org>  Thu, 19 Jul 2018 08:02:10 +0200

ctn (3.2.0~dfsg-5) unstable; urgency=medium

  * Update README.Debian
  * debhelper 10
  * d/watch: version=4
  * Build-Depends: libfl-dev
    Closes: #846419
  * hardening=+all

 -- Andreas Tille <tille@debian.org>  Thu, 01 Dec 2016 16:05:37 +0100

ctn (3.2.0~dfsg-4) unstable; urgency=medium

  * Move packaging to Git
  * cme fix dpkg-control
  * Revert changes from last NMU
    Closes: #842102
  * Build-Depends: default-libmysqlclient-dev

 -- Andreas Tille <tille@debian.org>  Wed, 26 Oct 2016 09:12:00 +0200

ctn (3.2.0~dfsg-3.1) unstable; urgency=medium

  * Non-maintainer upload
  * Build package with -fPIC CFLAG (Closes: #837417)

 -- Balint Reczey <balint@balintreczey.hu>  Wed, 28 Sep 2016 21:25:59 +0200

ctn (3.2.0~dfsg-3) unstable; urgency=medium

  * cme fix dpkg-control
  * Fix mayhem issues by checking missing parameters
    Closes: #715642, #715749, #715765, #715766, #715782

 -- Andreas Tille <tille@debian.org>  Sun, 20 Dec 2015 21:12:06 +0100

ctn (3.2.0~dfsg-2) unstable; urgency=medium

  * debian/upstream moved to debian/upstream/metadata
  * debian/patches/50_clang_FTBFS_Wreturn-type.patch: Enable building
    with clang (Thanks for the patch to Nicolas Sévelin-Radiguet
     <nicosr@free.fr>)
    Closes: #744085
  * Build-Depends: s/libmysqlclient15-dev/libmysqlclient-dev/
  * cme fix dpkg-control

 -- Andreas Tille <tille@debian.org>  Sat, 12 Apr 2014 07:31:54 +0200

ctn (3.2.0~dfsg-1) unstable; urgency=low

  [ Charles Plessy ]
  * New upstream version available, on sf.net.
  * debian/watch, debian/copyright, debian/control: updated homepage.

  [ Thorsten Alteholz ]
  * debian/rules: target get-orig-source added

  [ Andreas Tille ]
  * debian/copyright:
     - DEP5
     - Files-Excluded: apps/displays/x_utils.c
       Closes: #724935, #724936
  * debian/source/format: 3.0 (quilt)
  * debian/control:
     - cme fix dpkg-control
     - debhelper 9
     - canonical Vcs URLs
     - Priority: optional
     - s/lesstif2-dev/libmotif-dev/ in Build-Depends
       Closes: #714750, #714758
  * debian/rules: rewritten to use dh and make things more transparent
    by using debian/*.{install,examples} files
  * debian/README.source removed
  * debian/upstream: bibliographic reference
  * debian/ctnmake.debian.mysql.options: drop some unneeded libraries

 -- Andreas Tille <tille@debian.org>  Thu, 07 Nov 2013 14:44:28 +0100

ctn (3.0.6-13) unstable; urgency=low

  [ Andreas Tille ]
  * Group maintenance by Debian-Med Packaging Team
  * Added myself to uploaders
  * DM-Upload-Allowed: yes
  * Fixed Vcs fields
  * Moved Homepage from long description to separate field
    (Closes: #466671).
  * Patch to make the ctn working properly with mysql server > 4.2.
    Thanks to Pablo Sau <psau@cadpet.es> (Closes: #326916).

  [ Steve M. Robbins ]
  * Remove self from uploaders.

  [ Thijs Kinkhorst ]
  * Drop empty prerm/postinst scripts.
  * Replace obsolete x-dev with x11-proto-core-dev
  * Use quilt to manage patches, add proper dependencies and
    targets in debian/rules. All patches are still in one file,
    which needs to be split out over time.
  * Checked for policy version 3.8.0, add README.source.
  * Remove self from uploaders, but upload for one last time ;-)

 -- Thijs Kinkhorst <thijs@debian.org>  Fri, 25 Jul 2008 18:03:57 +0200

ctn (3.0.6-12) unstable; urgency=low

  * Do not bail out if libsrc symlinks already exist, since this
    can cause problems in some build order.
  * Minor packaging cleanups.

 -- Thijs Kinkhorst <thijs@debian.org>  Thu, 26 Jul 2007 14:15:04 +0200

ctn (3.0.6-11) unstable; urgency=low

  [ Charles Plessy ]
  * Fixed subversion repository declaration in debian/control.

  [ Thijs Kinkhorst ]
  * Replace deprecated ${Source-Version} with ${binary:Version}.

 -- Thijs Kinkhorst <thijs@debian.org>  Mon, 18 Jun 2007 10:36:21 +0200

ctn (3.0.6-10) unstable; urgency=medium

  * Fixing build on 64bit platforms and providing *INT preprocessor
    definitions for the applications built using ctn-dev.
    Patch by Yaroslav Halchenko, thanks! (Closes: 387183)



=== debian/control ===
Source: ctn
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Andreas Tille <tille@debian.org>
Section: graphics
Priority: optional
Build-Depends: debhelper-compat (= 13),
               libmotif-dev,
               libxaw7-dev,
               flex,
               libfl-dev,
               bison,
               zlib1g-dev,
               default-libmysqlclient-dev,
               libx11-dev,
               libxt-dev,
               x11proto-core-dev,
               csh | c-shell
Standards-Version: 4.7.0
Vcs-Browser: https://salsa.debian.org/med-team/ctn
Vcs-Git: https://salsa.debian.org/med-team/ctn.git
Homepage: http://sourceforge.net/projects/mirctn
Rules-Requires-Root: no

Package: ctn
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends}
Suggests: ctn-doc
Description: Central Test Node, a DICOM implementation for medical imaging
 DICOM is the standard for image storage, annotation, and networking.
 It is used widely for medical imaging. The Central Test Node software (CTN)
 provides an implementation of this standard.
 .
 This package includes the binary and run-time configuration files for CTN.

Package: ctn-dev
Architecture: any
Section: devel
Depends: ctn (= ${binary:Version}),
         ${misc:Depends}
Suggests: ctn-doc
Description: Development files for Central Test Node, a DICOM implementation
 DICOM is the standard for image storage, annotation, and networking.
 It is used widely for medical imaging.
 .
 This package includes the header files and static library used for
 creating programs that use the CTN library.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

# ctn code base is large and ancient (including compatibility code for
# supporting compilers of the pre-C89 era).  Patching to accomodate for
# contemporary compiler behavior results in unreasonably large changes,
# so we favor dropping the checks for dangerous behaviors.  For more
# information, refer to #1074893.
export DEB_CFLAGS_MAINT_APPEND = \
	-Wno-error=incompatible-pointer-types \
	-Wno-error=implicit-int \
	-Wno-error=int-conversion \
	-std=gnu99

pkg-ctn	:= ctn
pkg-ctn-dev := ctn-dev

%:
	dh $@

# we must provide *SIZE inside dicom.h or otherwise applications which
# would use ctn might be doomed to get improper U32 types etc
# that file will be included in dicom.h - hard patched
debian/savefiles:
	mkdir -p debian/savefiles
	mkdir -p debian/savefiles/apps/dcm_modify_object
	cp -a apps/dcm_modify_object/gram.h debian/savefiles/apps/dcm_modify_object

debian/test-sizes: debian/savefiles
	cc     debian/test-sizes.c   -o debian/test-sizes

debian/intsizes.h: debian/test-sizes
	sh debian/intsizes_h.sh

override_dh_auto_build: debian/intsizes.h
	debian/test-sizes >| debian/ctnmake.debian.mysql.options.full
	echo "CFLAGS=$(CFLAGS)" >> debian/ctnmake.debian.mysql.options.full
	echo "LDFLAGS=$(LDFLAGS)" >> debian/ctnmake.debian.mysql.options.full
	cat debian/ctnmake.debian.mysql.options >> debian/ctnmake.debian.mysql.options.full
	mv debian/intsizes.h facilities/dicom/
	chmod +x $(CURDIR)/apps/scripts/createdirectory
	chmod +x $(CURDIR)/apps/scripts/checkEnvironment
	mkdir $(CURDIR)/lib
	mkdir $(CURDIR)/include

	(. debian/debian.mysql.options.env; make install)

override_dh_auto_clean:
	dh_auto_clean
	# restore changed files
	if [ -d debian/savefiles ] ; then \
	    mv debian/savefiles/apps/dcm_modify_object/gram.h apps/dcm_modify_object ; \
	    rm -rf debian/savefiles/apps ; \
	fi
	rm -rf debian/savefiles
	rm -f debian/ctn*.postinst.* debian/ctn*.prerm.* debian/intsizes.h
	rm -f debian/ctnmake.debian.mysql.options.full debian/test-sizes
	rm -f facilities/dicom/intsizes.h
	rm -f libsrc/*.c libsrc/*.h
	rm -f `find . -name \*.o -or -name \*.a`
	rm -rf include
	rm -rf lib

override_dh_prep:
	# ctn build process does build+install in one rush
	# dear dh_prep, please leave my debian/tmp
	mv $(CURDIR)/debian/tmp $(CURDIR)/debian/do_not_delete_this_tmp_dir
	dh_prep
	mv $(CURDIR)/debian/do_not_delete_this_tmp_dir $(CURDIR)/debian/tmp

override_dh_auto_install:
	echo 'Do not try to call `make install` since it requires setting variable DICOM_MAKE'

override_dh_fixperms:
	dh_fixperms
	chmod +x `echo $(CURDIR)/debian/$(pkg-ctn)/usr/share/ctn/mysql/*`
	chmod -x `echo $(CURDIR)/debian/$(pkg-ctn)/usr/share/ctn/mysql/*.script`

=== debian/watch ===
version=4
opts=dversionmangle=s/([~\+]dfsg)// \
  http://sf.net/mirctn/mirctn-(\d[\d\.]+)\.(?:tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))
